package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.communityCenter.domain.CommunityFile;
import com.mcwl.communityCenter.domain.CommunityFileLog;

import java.util.List;

public interface CommunityFileLogService extends IService<CommunityFileLog> {

    List<String> getUserAvatarList(Long tenantId, Long communityId, Long communityFileId);

    Integer getDownloadCount(Long tenantId, Long communityId, Long communityFileId);

    void saveCommunityFileLog(CommunityFileLog communityFileLog);
}
